image: jdrouet/docker-with-buildx:stable

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

services:
  - docker:dind

build:
  stage: build
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
  script:
    - docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
    - docker buildx create --use
    - docker buildx build --push --platform linux/arm64,linux/amd64 --tag "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" .
    - echo "IMAGE INFO - $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"
#    - docker buildx build --push --platform linux/arm/v7,linux/arm64,linux/amd64 --tag "$CI_REGISTRY_IMAGE" .

#
# ONLY WITH UPDATED KERNEL
# docker run -it -v /var/run/docker.sock:/var/run/docker.sock -v $(pwd):/build --privileged jdrouet/docker-with-buildx:stable ash
